# snd_tplg_link_template Struct Reference
[Topology Interface]

Template type for BE and CC DAI Links. More...

## Data Fields

const char * | name
int | id
int | num_streams
struct snd_tplg_stream_template | stream [0]

## Detailed Description

Template type for BE and CC DAI Links.

## Field Documentation

int snd_tplg_link_template::id

unique ID - used to match with existing BE and CC links

const char* snd_tplg_link_template::name

link name

int snd_tplg_link_template::num_streams

number of configs

struct snd_tplg_stream_template snd_tplg_link_template::stream[0]`[read]`

supported configs

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/topology.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines